unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ScktComp, HTTPDownloader, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    pb: TProgressBar;
    Memo1: TMemo;
    HTTPDownloader1: THTTPDownloader;
    Url: TLabel;
    Edit1: TEdit;
    procedure HTTPDownloader1Problem(kind: Integer);
    procedure HTTPDownloader1PacketRecvd(completed, total: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure HTTPDownloader1HeaderRead(Info: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.HTTPDownloader1Problem(kind: Integer);
begin
showmessage(inttostr(kind));
end;

procedure TForm1.HTTPDownloader1PacketRecvd(completed, total: Integer);
begin
if total>-1 then
  begin
    pb.Max:=total;
    pb.Position:=completed;
  end;
caption:=format('%d of %d completed',[completed,total]);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
httpdownloader1.URL:=edit1.Text;
httpdownloader1.Run;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
HTTPDownloader1.Pause;
end;

procedure TForm1.HTTPDownloader1HeaderRead(Info: String);
begin
memo1.Text:=info;
end;

end.
